### Method

# Foundry GitCommitBuilder set_when

since: 1.1

#### Declaration [src]

    void
    foundry_git_commit_builder_set_when (
      FoundryGitCommitBuilder* self,
      GDateTime* when
    )

#### Description [src]

Sets the timestamp that will be used for the commit.

If set to `NULL` or not set, the current time will be used when creating the commit. The builder takes ownership of `when`.

Available since: 1.1

Sets property | `Foundry.GitCommitBuilder:when`

#### Parameters

`when`

  Type: `GDateTime`

  The timestamp to use for the commit, or `NULL` to use current time.

  The argument can be `NULL`.
  The data is owned by the caller of the method.